| Qore XdbcFirebirdSqlUtilBase Module Reference 0.1

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XdbcFirebirdSqlUtilBase::XdbcFirebirdSequence Class Reference

class for XDBC Firebird sequences More...

## Public Member Functions
| constructor (string n_name, number n_start=1, number n_increment=1, *softnumber n_end)
| creates the object from the arguments
string | getCreateSql (*hash opt)
| returns a string that can be used to create the sequence in the database
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the sequence in the database

## Detailed Description

class for XDBC Firebird sequences

## Member Function Documentation

## ◆ getRenameSql()

softlist XdbcFirebirdSqlUtilBase::XdbcFirebirdSequence::getRenameSql | ( | string | new_name,
|  | *hash | opt )

returns a string that can be used to rename the sequence in the database

The object is renamed in place with this call

Parameters

  new_name | the new name of the object
  opt | this option is ignored